*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Raleway', sans-serif;
}

.hero{
    background-image: linear-gradient(120deg, rgba(252, 246, 252, 0.699) 0%, rgba(29, 10, 10, 0.692) 100%), url("../img/life-style.jpg");
    width: 100%;
    height: 650px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
    overflow: hidden;
}

.textos-hero{
    height: 500px;
    color: rgb(253, 253, 253);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.textos-hero h1{
    font-size: 60px;
}

.textos-hero p{
    font-size: 25px;
    margin-bottom: 20px;
}

.textos-hero a{
    display: inline-block;
    text-decoration: none;
    padding: 12px 15px;
    background: #a18cd1;
    border-radius: 8px;
    color: #fff;
}

.svg-hero{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}
/*Slider*/
.slider-frame {
	width: 1280px;
    height: auto;
	margin:50px auto 0;
	overflow: hidden;
      
}

.slider-frame ul {
	display: flex;
	padding: 0;
	width: 400%;
	animation: slide 20s infinite alternate ease-in-out;
}

.slider-frame li {
	width: 100%;
    height: auto;
	list-style: none;
}

.slider-frame img {
	width: 100%;
    box-shadow: 0 0 3px 0 rgba(214, 214, 214, 0.5);
    transition: transform 0.6s;
    
    
}

.slider-frame img:hover {
	transform: scale(1.2);
    cursor: pointer;
    
}

@keyframes slide {
	0% {margin-left: 0;}
	20% {margin-left: 0;}
	
	25% {margin-left: -100%;}
	45% {margin-left: -100%;}
	
	50% {margin-left: -200%;}
	70% {margin-left: -200%;}
	
	75% {margin-left: -300%;}
	100% {margin-left: -300%;}
}

/*Creación del menú de navegacón*/

.main-menu{
    width: 100%;
    height: 50px;
    box-shadow: 1px 1px 5px #000;
    position: fixed;
    background: #fff;
}


.menu{
     width: 400px;
     padding-top: 13px;
     margin: auto;

 }   
 .menu ul a{
     color:rgb(243, 95, 95);
     text-decoration: none;
     padding:13px 20px 19px 20px;
     
 }
 .menu ul a:hover{
    color:rgb(255, 255, 255);
    background:rgb(243, 95, 95);
    
}

    
    
    
/* Estilos generales */

.contenedor,
.wave-contenedor{
    width: 90%;
    max-width: 1000px;
    overflow: hidden;
    margin: auto;
    padding: 0 0 80px 0;
}
.contenedor{
    padding: 80px 0;
}

.titulo{
    font-weight: 300;
    font-size: 35px;
    text-align: center;
    margin-bottom: 30px;
}

.titulo.left{
    text-align: left;
}

.titulo.right{
    text-align: right;
}

/* Section */

.website{
    display: flex;
    justify-content: space-between;
}

.website img{
    width: 48%;
}

.website .contenedor-textos-main{
    width: 40%;
}

.parrafo{
    text-align: justify;
    margin-bottom: 20px;
}

.cta{
    display: inline-block;
    text-decoration: none;
    background-image: linear-gradient(45deg, #7a0112 0%, #fad0c4 99%, #8a2205 100%);
    padding: 12px 15px;
    border-radius: 8px;
    color: #fff;
}

/* Info */

.info{
    background: #7a0112;
    color: #fff;
}


/* Cards */

.content-cards{
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.card{
    width: 30%;
    text-align: center;
    height: 300px;
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, .5);
    transform: scale(1);
    transition: transform 0.6s;
}

.card:hover{
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, .5);
    transform: scale(1.03);
    cursor: pointer;
}

.card i{
    margin: 30px 0 20px 0;
    color: #cc9199;
    font-size: 50px;
}

.card p{
    font-weight: 300;
    font-size: 25px;
    margin-bottom: 10px;
}

/* galeria */

.galeria{
    background: #f2f2f2;
}

.galeria-cont{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    overflow: hidden;
}

.galeria-cont>img{
    width: 30%;
    object-fit: cover;
    margin-bottom: 20px;
    display: block;
    box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, .5);
    cursor: pointer;
    overflow: hidden;
}

/* info2 */

.last-section{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-bottom: 40px;
}

.last-section img{
    width: 48%;
}

.last-section .contenedor-textos-main{
    width: 40%;
}

/*Mapa*/
iframe{
    width: 100%;
    
}







/* footer */

footer{
    background: #7a0112;;
    color: #fff;
}

.form{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.input{
    background: transparent;
    border: 0;
    color: #fff;
    outline: none;
    border: 1px  solid #fff;
    padding: 20px 10px;
}

.input::placeholder{
    color: #fff;
    font-family: 'raleway', 'sans-serif';
}

input[type="text"], 
input[type="email"]{
    display: inline-block;
    width: 49%;
    margin-bottom: 30px;
}

.form textarea{
    width: 100%;
    margin-bottom: 15px;
}

input[type="submit"]{
    width: 120px;
    text-align: center;
    padding: 14px 0;
}

input[type="submit"]:hover{
    cursor: pointer;
    color: tomato;
    background: #fff;
}

@media screen and (max-width:800px){
    .textos-hero h1{
        text-align: center;
        font-size: 50px;
    }
    /* estilos generales */
    .titulo{
        font-size: 35px;
    }

    .titulo.left{
        text-align: center;
    }

    .info p{
        text-align: center;
    }

    /* section */
    .website{
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
    }

    .website img{
        width: 100%;
    }

    .website .contenedor-textos-main{
        width: 100%;
    }

    /* Cards */

    .card{
        width: 90%;
        margin-bottom: 20px;
    }

    /* galeria */

    .galeria-cont>img{
        width: 48%;
    }

    /* last */

    .last-section img{
        width: 98%;
    }

    .last-section .contenedor-textos-main{
        width: 98%;
        margin-bottom: 20px;
    }


}

@media screen and (max-width:400px){
    .titulo,
    .textos-hero h1{
        font-size: 30px;
    }

    .textos-hero p{
        font-size: 20px;
        text-align: center;
    }

    .card{
        height: 380px;
    }

    .website .contenedor-textos-main{
        margin-bottom: 30px;
    }

    .galeria-cont>img{
        width: 97%;
    }
}